summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2009-07-31 23:24:41 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2015-06-26 00:30:13 -0600
commitfd5bf0ecb44eaae6ab24773629bacf1797d180b6 (patch)
tree92dba19d50407d8b6fc6129a9ae40c86bc6d29d2
parent452a7e70ff8d837a1c2ca26642d6a9b18db41a29 (diff)
someone please slap me for that last commit
-rw-r--r--rvs.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/rvs.sh b/rvs.sh
index 9c3b7ac..2c56eec 100644
--- a/rvs.sh
+++ b/rvs.sh
@@ -83,18 +83,17 @@ case "$com" in
'install') shift; _install $@; exit $?;;
'uninstall') shift; _uninstall $@; exit $?;;
*) repo=`_repo`
- if exit $?; then
+ if [ "$?" = '0' ]; then
while read plugin; do
if [ -f "$RVSDIR/$plugin/$com" ]; then
done='yes'
export RVSDIR=$RVSDIR/$plugin
export REPO=$repo/$plugin
- echo $RVSDIR/$@
$RVSDIR/$@
exit $?
break
fi
- done < $repi/plugins
+ done < "$repo/plugins"
else
exit 1;
fi